# class exception | Class that could be used to throw exceptions in connection errors. More...
Full name | `toConnection::exception`
Definition | `#include <toconnection.h>`
Inherits | QString (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- exception (const QString &str,int offset=-1)
- int offset (void) const
- void setOffset (int offset)

## Detailed Description

Class that could be used to throw exceptions in connection errors. Must use if you want to indicate error offset.

exception (const QString &str,int offset=-1) | ### exception

Create an exception with a string description.

int offset (void) | ### offset

[const]

Get the offset of the error of the current statement.

void setOffset (int offset) | ### setOffset

Set the offset of the error of the error.